Coin: SoOneShotSensor Class Reference

| Coin3D is Free Software, published under the BSD 3-clause license. | https://coin3d.github.io https://www.kongsberg.com/en/kogt/

SoOneShotSensor Class Reference
Sensor Classes

The SoOneShotSensor class is a sensor which will trigger once. More...

`#include <Inventor/sensors/SoOneShotSensor.h>`

Inheritance diagram for SoOneShotSensor:

## Public Member Functions
| SoOneShotSensor (void)
| SoOneShotSensor (SoSensorCB *func, void *data)
virtual | ~SoOneShotSensor (void)
Public Member Functions inherited from SoDelayQueueSensor
| SoDelayQueueSensor (void)
| SoDelayQueueSensor (SoSensorCB *func, void *data)
virtual | ~SoDelayQueueSensor (void)
void | setPriority (uint32_t pri)
uint32_t | getPriority (void) const
virtual void | schedule (void)
virtual void | unschedule (void)
virtual SbBool | isScheduled (void) const
virtual SbBool | isIdleOnly (void) const
virtual void | trigger (void)
Public Member Functions inherited from SoSensor
| SoSensor (void)
| SoSensor (SoSensorCB *func, void *data)
virtual | ~SoSensor (void)
void | setFunction (SoSensorCB *callbackfunction)
SoSensorCBPtr | getFunction (void) const
void | setData (void *callbackdata)
void * | getData (void) const
void | setNextInQueue (SoSensor *next)
SoSensor * | getNextInQueue (void) const

## Additional Inherited Members
Static Public Member Functions inherited from SoDelayQueueSensor
static uint32_t | getDefaultPriority (void)
Static Public Member Functions inherited from SoSensor
static void | initClass (void)
Protected Attributes inherited from SoDelayQueueSensor
SbBool | scheduled
Protected Attributes inherited from SoSensor
SoSensorCB * | func
void * | funcData

## Detailed Description

The SoOneShotSensor class is a sensor which will trigger once.

Since SoOneShotSensor is a subclass of SoDelayQueueSensor, it will trigger as soon as either the runtime system is idle, or if it is continually busy it will trigger within a fixed amount of time (this is by default 1/12th of a second, see SoSensorManager::setDelaySensorTimeout()).

## Constructor & Destructor Documentation

## ◆ SoOneShotSensor() [1/2]

SoOneShotSensor::SoOneShotSensor | ( | void |  | ) |

Constructor.

## ◆ SoOneShotSensor() [2/2]

SoOneShotSensor::SoOneShotSensor | ( | SoSensorCB * | func,
|  | void * | data )

Constructor taking as parameters the sensor callback function and the userdata which will be passed to the callback.

See also
  setFunction(), setData()

## ◆ ~SoOneShotSensor()

SoOneShotSensor::~SoOneShotSensor | ( | void |  | ) |
| virtual

Destructor.

The documentation for this class was generated from the following files:

- SoOneShotSensor.h
- SoOneShotSensor.cpp